lambdabot-core-5.3.1.2: Lambdabot core functionality

Safe Haskell | None
Language | Haskell98

Lambdabot.Bot

Description

The guts of lambdabot.

The LB/Lambdabot monad Generic server connection,disconnection The module typeclass, type and operations on modules

Synopsis

- ircLoadModule :: String -> Module st -> LB ()
- ircUnloadModule :: String -> LB ()
- checkPrivs :: IrcMessage -> LB Bool
- checkIgnore :: IrcMessage -> LB Bool
- ircCodepage :: String -> String -> LB ()
- ircGetChannels :: LB [Nick]
- ircQuit :: String -> String -> LB ()
- ircReconnect :: String -> String -> LB ()
- ircPrivmsg :: Nick -> String -> LB ()
- ircPrivmsg' :: Nick -> String -> LB ()

# Documentation

ircLoadModule :: String -> Module st -> LB () Source #

Register a module in the irc state

ircUnloadModule :: String -> LB () Source #

Unregister a module's entry in the irc state

checkPrivs :: IrcMessage -> LB Bool Source #

Checks whether the given user has admin permissions

checkIgnore :: IrcMessage -> LB Bool Source #

Checks whether the given user is being ignored. Privileged users can't be ignored.

ircCodepage :: String -> String -> LB () Source #

ircGetChannels :: LB [Nick] Source #

ircQuit :: String -> String -> LB () Source #

ircReconnect :: String -> String -> LB () Source #

ircPrivmsg Source #

Arguments

:: Nick | The channel/user.
-> String | The message.
-> LB () |

Send a message to a channel/user, applying all output filters

ircPrivmsg' :: Nick -> String -> LB () Source #